"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceAll = exports.redact = exports.replaceAllRegex = exports.regexRedactor = exports.stringRedactor = void 0;
const REDACTION = '--redacted--';
function stringRedactor(find) {
    return (val) => replaceAll(val, find, REDACTION);
}
exports.stringRedactor = stringRedactor;
function regexRedactor(find) {
    // force global replace
    const findAll = new RegExp(find.source, 'g');
    return (val) => replaceAllRegex(val, findAll, REDACTION);
}
exports.regexRedactor = regexRedactor;
function replaceAllRegex(str, regex, replace) {
    return str.replace(regex, replace);
}
exports.replaceAllRegex = replaceAllRegex;
function redact(str, find) {
    return replaceAll(str, find, REDACTION);
}
exports.redact = redact;
// Taken from https://stackoverflow.com/a/1144788/788260
function replaceAll(str, find, replace) {
    return str.replace(new RegExp(escapeRegExp(find), 'g'), replace);
}
exports.replaceAll = replaceAll;
function escapeRegExp(str) {
    return str.replace(/([.*+?^=!:${}()|\[\]\/\\])/g, '\\$1'); // eslint-disable-line
}
