export declare const severities: readonly ["debug", "info", "warn", "error"];
export declare const logLevels: string[];
export declare type LogLevel = Uppercase<typeof severities[number]> | 'SILENT';
export declare type Severity = typeof severities[number];
export declare type LogFn = (...args: unknown[]) => ReturnType<typeof console.log>;
export interface ILogger {
    debug: LogFn;
    info: LogFn;
    error: LogFn;
    warn: LogFn;
    minimumLogLevel?: typeof logLevels[number];
}
